commit dc075f39b3858d8c8a3ca01b7558a22eee08d32f
Author: Eitan Adler <lists@eitanadler.com>
Date:   Wed Dec 19 10:52:03 2012 -0500

    Perhaps the most important programs in all the ports tree are cowsay and
    sl.  Mention at least one in the FAQ.
    
    Approved by:	??? (mentor)

diff --git a/en_US.ISO8859-1/books/faq/book.xml b/en_US.ISO8859-1/books/faq/book.xml
index 33dbdd1..cf4c178 100644
--- a/en_US.ISO8859-1/books/faq/book.xml
+++ b/en_US.ISO8859-1/books/faq/book.xml
@@ -8614,6 +8614,19 @@ hint.sio.7.irq="12"</programlisting>
 	    annoyed by it as well.</para>
 	</answer>
       </qandaentry>
+
+      <qandaentry>
+	<question id="punk-my-friend">
+	  <para>My colleague/friend sits at the computer too much, how
+	    can I punk her?</para>
+	</question>
+
+	<answer>
+	  <para>Install <filename role="port">games/sl</filename> and wait
+	    for her to mistype <quote>sl</quote> for
+	    <quote>ls</quote>.</para>
+	</answer>
+      </qandaentry>
     </qandaset>
   </chapter>
 

commit 88ee7c26639c8290e8406e1b137b093ed6168fc8
Author: Eitan Adler <lists@eitanadler.com>
Date:   Wed Dec 19 10:48:51 2012 -0500

    Answer the question "I just changed /etc/newsyslog.conf. How can I check
    if it does what I expect?"
    
    Submitted by:	Edward <edward@rdtan.net>
    Reviewed by:	-doc
    Approved by:	??? (mentor)

diff --git a/en_US.ISO8859-1/books/faq/book.xml b/en_US.ISO8859-1/books/faq/book.xml
index a079a35..33dbdd1 100644
--- a/en_US.ISO8859-1/books/faq/book.xml
+++ b/en_US.ISO8859-1/books/faq/book.xml
@@ -5338,6 +5338,21 @@ options    SYSVMSG          # enable for messaging</programlisting>
 	    ......????</para>
 	</answer>
       </qandaentry>
+
+      <qandaentry>
+	<question id="newsyslog-expectations">
+	  <para>I just changed
+	    <filename>/etc/newsyslog.conf</filename>. How can I check
+	    if it does what I expect?</para>
+	</question>
+
+	<answer>
+	  <para>To see what newsyslog will do use the
+	    following:</para>
+
+	  <screen>&prompt.user; <userinput>newsyslog -nrvv</userinput></screen>
+	</answer>
+      </qandaentry>
     </qandaset>
   </chapter>
 

commit fe23073fa0f1071bbc966aaac24d033d62ba15a3
Author: Eitan Adler <lists@eitanadler.com>
Date:   Wed Dec 19 10:15:34 2012 -0500

    Answer the question "FreeBSD is rejecting connections because
    of too many TCP connections in the "TIME_WAIT" state.
    How can I reduce the timeout?"
    
    Submitted by:	Edward <edward@rdtan.net>
    Reviewed by:	-doc
    Approved by:	??? (mentor)

diff --git a/en_US.ISO8859-1/books/faq/book.xml b/en_US.ISO8859-1/books/faq/book.xml
index c83d02e..a079a35 100644
--- a/en_US.ISO8859-1/books/faq/book.xml
+++ b/en_US.ISO8859-1/books/faq/book.xml
@@ -6508,6 +6508,28 @@ Key F15        A        A        Menu Workplace Nop</programlisting>
 	    to <literal>0</literal>.</para>
 	</answer>
       </qandaentry>
+
+      <qandaentry>
+	<question>
+	  <para>&os; is rejecting connections because of too many TCP
+	    connections in the <literal>TIME_WAIT</literal> state.
+	    How can I reduce the timeout?</para>
+	</question>
+
+	<answer>
+	  <para>In short, tune <varname>net.inet.tcp.msl</varname> to
+	    a lower value such as 7500:</para>
+
+	  <para>In more detail, the the default timeout value for
+	    <literal>TIME_WAIT</literal> is 60 seconds.  This value is
+	    based on RFC 793.  A busy server opening and closing
+	    TCP connections should set this value to a shorter time,
+	    such as 15 seconds.  The value of
+	    <varname>net.inet.tcp.msl</varname> is not a typical time
+	    unit: it is specified in double milliseconds (1 unit is
+	    2ms).</para>
+	</answer>
+      </qandaentry>
     </qandaset>
   </chapter>
 

commit f18703b96c0220c9d406f4cca837b6e14ffd3bc0
Author: Eitan Adler <lists@eitanadler.com>
Date:   Wed Dec 19 10:05:17 2012 -0500

    Answer the question "My server performance seems to be slow. How can I
    find out what the bottleneck is?"
    
    INCOMPLETE
    
    Submitted by:       Edward <edward@rdtan.net>
    Reviewed by:	-doc
    Approved by:	??? (mentor)

diff --git a/en_US.ISO8859-1/books/faq/book.xml b/en_US.ISO8859-1/books/faq/book.xml
index 059ae57..c83d02e 100644
--- a/en_US.ISO8859-1/books/faq/book.xml
+++ b/en_US.ISO8859-1/books/faq/book.xml
@@ -5318,6 +5318,26 @@ options    SYSVMSG          # enable for messaging</programlisting>
 	  <para>Use &man.tzsetup.8;</para>
 	</answer>
       </qandaentry>
+
+      <qandaentry>
+	<question id="server-is-slow">
+	  <para>My server performance seems to be slow. How can I find
+	    out what the bottleneck is?</para>
+	</question>
+
+	<answer>
+	  <!-- this needs to be completed -->
+	  <para>Use &man.iostat.8; or &man.systat.1;.</para>
+
+	  <para>For example, to see deviice statistics
+	    refreshing the output every 2 second try:</para>
+
+	  <screen>&prompt.user; <userinput>iostat -dw2</userinput></screen>
+
+	  <para>Another interactive tool &man.systat.1;
+	    ......????</para>
+	</answer>
+      </qandaentry>
     </qandaset>
   </chapter>
 

commit 56c47edb226a35951d918c719656b855442785c1
Author: Eitan Adler <lists@eitanadler.com>
Date:   Wed Dec 19 09:57:12 2012 -0500

    Answer the question "My time is wrong, how can I change the timezone?"
    
    Submitted by:	Edward <edward@rdtan.net>
    Reviewed by:	-doc
    Approved by:	??? (mentor)

diff --git a/en_US.ISO8859-1/books/faq/book.xml b/en_US.ISO8859-1/books/faq/book.xml
index 8f6b556..059ae57 100644
--- a/en_US.ISO8859-1/books/faq/book.xml
+++ b/en_US.ISO8859-1/books/faq/book.xml
@@ -5308,6 +5308,16 @@ options    SYSVMSG          # enable for messaging</programlisting>
 	  <screen>&prompt.user; <userinput>sockstat -P<replaceable>protocol</replaceable></userinput></screen>
 	</answer>
       </qandaentry>
+
+      <qandaentry>
+	<question id="timezone">
+	  <para>My time is wrong, how can I change the timezone?</para>
+	</question>
+
+	<answer>
+	  <para>Use &man.tzsetup.8;</para>
+	</answer>
+      </qandaentry>
     </qandaset>
   </chapter>
 

commit 36cc388471f9f7230bf7254e7604ab1b116cdcce
Author: Eitan Adler <lists@eitanadler.com>
Date:   Wed Dec 19 09:55:26 2012 -0500

    Answer the question "I just started a service, how do I figure out what
    TCP/UDP port it is listening on?"
    
    Submitted by:	Edward <edward@rdtan.net>
    Reviewed by:	-doc
    Approved by:	??? (mentor)

diff --git a/en_US.ISO8859-1/books/faq/book.xml b/en_US.ISO8859-1/books/faq/book.xml
index 89e0f9d..8f6b556 100644
--- a/en_US.ISO8859-1/books/faq/book.xml
+++ b/en_US.ISO8859-1/books/faq/book.xml
@@ -5295,6 +5295,19 @@ options    SYSVMSG          # enable for messaging</programlisting>
 	  </para>
 	</answer>
       </qandaentry>
+
+      <qandaentry>
+	<question id="tcp-udp-port">
+	  <para>I just started a service, how do I figure out what
+	    TCP/UDP port it is listening on?</para>
+	</question>
+
+	<answer>
+	  <para>Open ports can be listed by &man.sockstat.1;.  To list
+	    open ports of a particular protocol use:</para>
+	  <screen>&prompt.user; <userinput>sockstat -P<replaceable>protocol</replaceable></userinput></screen>
+	</answer>
+      </qandaentry>
     </qandaset>
   </chapter>
 

commit fe78e0cd3e90fb5bacb35a3d518af636cec2518c
Author: Eitan Adler <lists@eitanadler.com>
Date:   Wed Dec 19 09:50:28 2012 -0500

    Answer the question "How do I know if my processor is a 64 bit
    proccessor?"
    
    Submitted by:	Edward <edward@rdtan.net>
    Reviewed by:	-doc
    Approved by:	??? (mentor)

diff --git a/en_US.ISO8859-1/books/faq/book.xml b/en_US.ISO8859-1/books/faq/book.xml
index fa90e78..89e0f9d 100644
--- a/en_US.ISO8859-1/books/faq/book.xml
+++ b/en_US.ISO8859-1/books/faq/book.xml
@@ -1130,6 +1130,24 @@
       </qandaentry>
 
       <qandaentry>
+	<question id="am-i-modern">
+	  <para>How do I know if my processor is a 64 bit
+	    proccessor?</para>
+	</question>
+	<answer>
+	  <para>If the line starting with <quote>AMD Features</quote>
+	    in <filename>/var/run/dmesg.boot</filename> has
+	    <quote>LM</quote> the processor supports 64 bit
+	    processing. Otherwise, it is likely to be a 32 bit
+	    processor.</para>
+
+	  <para>An example 64 bit processor looks like:</para>
+
+	  <programlisting>AMD Features=0x28100000&lt;NX,RDTSCP,LM&gt;</programlisting>
+	</answer>
+      </qandaentry>
+
+      <qandaentry>
 	<question id="floppy-download">
 	  <para>Which file do I download to get &os;?</para>
 	</question>

commit 0755711aa8473bb352bcb5d59c0bc01948a16f8c
Author: Eitan Adler <lists@eitanadler.com>
Date:   Wed Dec 19 09:43:57 2012 -0500

    Answer the question " I have some software which only works on old
    versions of FreeBSD, where can I get these?"
    
    Submitted by:	Edward <edward@rdtan.net>
    Reviewed by:	-doc
    Approved by:	??? (mentor)

diff --git a/en_US.ISO8859-1/books/faq/book.xml b/en_US.ISO8859-1/books/faq/book.xml
index 1f37eaf..fa90e78 100644
--- a/en_US.ISO8859-1/books/faq/book.xml
+++ b/en_US.ISO8859-1/books/faq/book.xml
@@ -579,6 +579,21 @@
       </qandaentry>
 
       <qandaentry>
+	<question id="get-ancient-versions">
+	  <para>I have some software which only works on old versions
+	    of &os;, where can I get these?</para>
+	</question>
+
+	<answer>
+	  <para>Older versions of &os; can be obtained from <ulink
+	      url="ftp://ftp-archive.freebsd.org/pub/FreeBSD-Archive/old-releases/">The FTP Archive</ulink>.
+	    Most of these versions are past their End of Life and
+	    can be extremely buggy or insecure, use at your own risk.
+	  </para>
+	</answer>
+      </qandaentry>
+
+      <qandaentry>
 	<question id="access-pr">
 	  <para>How do I access the Problem Report database?</para>
 	</question>

commit 80153532684330e13874872427ef8e92401afd7c
Author: Eitan Adler <lists@eitanadler.com>
Date:   Wed Dec 19 09:38:28 2012 -0500

    Answer the question "Some messages are missing from dmesg(8). Where can I
    find them?"
    
    Submitted by:	Edward <edward@rdtan.net>
    Reviewed by:	-doc
    Approved by:	??? (mentor)

diff --git a/en_US.ISO8859-1/books/faq/book.xml b/en_US.ISO8859-1/books/faq/book.xml
index 1db28dd..1f37eaf 100644
--- a/en_US.ISO8859-1/books/faq/book.xml
+++ b/en_US.ISO8859-1/books/faq/book.xml
@@ -5245,6 +5245,23 @@ options    SYSVMSG          # enable for messaging</programlisting>
 	    <link linkend="unsetting-schg">the question on unsetting the schg flag</link>).</para>
 	</answer>
       </qandaentry>
+
+      <qandaentry>
+	<question id="dmesg-message-missing">
+	  <para>Some messages are missing from &man.dmesg.8;. Where can I
+	    find them?</para>
+	</question>
+
+	<answer>
+	  <para>Kernel log messages are recorded in
+	    <filename>/var/log/messages</filename>,
+	    <filename>/var/log/dmesg.yesterday</filename>, and
+	    <filename>/var/log/dmesg.today</filename>.  Boot time
+	    messages are recorded in
+	    <filename>/var/run/dmesg.boot</filename>.
+	  </para>
+	</answer>
+      </qandaentry>
     </qandaset>
   </chapter>
 
